elapsedtime
Prev | Orchestra Opcodes and Operators | Next

## elapsedtime

elapsedtime — Read absolute time in seconds.

## Description

Read absolute time, in seconds, since the start of the performance.

## Syntax

    ires elapsedtime

    kres elapsedtime

## Performance

Time in seconds is available with elapsedtime. This would return 0.5 after half a second.

elapsedtime can both produce a k-rate variable for output. There are no input parameters.

elapsedtime can also operate at the start of the instance of the instrument. It produces an i-rate variable (starting with i or gi) as its output.

| Note
elapsedtime acts like times but it returns the correct values instead of being one cycle late.

## See also

Time Reading

## Credits

Author: Eduardo Moguillansky
August 2022

Prev | Up | Next
elapsedcycles | Home | else